Bug 360961 - SELinux is preventing dhclient-script (dhcpc_t) "getattr" to /usr/sbin/wpa_supplicant (NetworkManager_exec_t)
SELinux is preventing dhclient-script (dhcpc_t) "getattr" to /usr/sbin/wpa_su...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-31 16:41 EDT by Ruben Kerkhof
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-26 22:28:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-10-31 16:41:57 EDT
Description of problem:

Raw Audit Messages :avc: denied { getattr } for comm=dhclient-script dev=dm-0
egid=0 euid=0 exe=/bin/bash exit=0 fsgid=0 fsuid=0 gid=0 items=0
path=/usr/sbin/wpa_supplicant pid=12786 scontext=system_u:system_r:dhcpc_t:s0
sgid=0 subj=system_u:system_r:dhcpc_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:NetworkManager_exec_t:s0 tty=pts1 uid=0
Comment 1 Daniel Walsh 2007-11-01 12:00:23 EDT
fixed in selinux-policy-3.0.8-44
Comment 2 Ruben Kerkhof 2007-11-26 15:19:14 EST
Thanks Dan, works fine now.

Note You need to log in before you can comment on or make changes to this bug.